geneCoverage.BigBang {galgo} | R Documentation

## Computes the fraction of genes present in the top-rank from the total genes present in chromosomes

### Description

Computes the fraction of genes present in the top-rank from the total genes present in chromosomes.

### Usage

    ## S3 method for class 'BigBang'
    geneCoverage(o, filter="none", subset=TRUE, chromosomes=NULL, ...)

### Arguments

`filter` | The `BigBang` object can save information about solutions that did not reach the `goalFitness`. `filter=="solutions"` ensures that only chromosomes that reach the `goalFitness` are considered. `fitlter=="none"` take all chromosomes. `filter=="nosolutions"` consider only no-solutions (for comparative purposes).
`subset` | Second level of filter. `subset` can be a vector specifying which filtered chromosomes are used. It can be a logical vector or a numeric vector (indexes in order given by `$bestChromosomes` in `BigBang` object variable). If it is a numeric vector length one, a positive value means take those top chromosomes sorted by fitness, a negative value take those at bottom.
`chromosomes` | The chromosomes to process. The default is using `filter` and `subset` to extract the chromosomes from the `BigBang` object.

### Value

A vector with the fraction of genes present in each rank from the total genes present in chromosomes.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`. `*plot()`.

### Examples

    ## Not run:
       #bb is a BigBang object
       gc <- geneCoverage(bb)
       gc

    ## End(Not run)

[Package galgo version 1.4 Index]